Jobs
Searches available job filters.
Body
Other propertiesanyOptional
Responses
200
Job filter search response
application/json
401
Unauthorized
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
post/api/job_filters/search
POST /api/job_filters/search HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 74
{
"filters": {
"status": [
"PENDING"
]
},
"must": {
"source.external_id": "src-crm"
}
}{
"data": {
"status": {
"buckets": [
{
"count": 5,
"key": "PENDING"
},
{
"count": 3,
"key": "COMPLETED"
}
],
"values": [
"PENDING",
"COMPLETED"
]
},
"type": {
"buckets": [
{
"count": 4,
"key": "profile"
}
],
"values": [
"profile"
]
}
}
}Searches jobs.
Body
pageinteger · nullableOptionalDefault:
Page number (0-indexed)
0querystring · nullableOptional
Search query text
sizeinteger · min: 1 · max: 100 · nullableOptionalDefault:
Page size
50Other propertiesanyOptional
Responses
200
Job search response
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
500
Internal Server Error
application/json
post/api/jobs/search
POST /api/jobs/search HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 78
{
"must": {
"source.external_id": "src-crm"
},
"page": 0,
"query": "job-001",
"size": 50
}{
"data": [
{
"_embedded": {
"source": {
"external_id": "src-crm",
"id": 1,
"type": "salesforce"
}
},
"external_id": "job-001",
"id": 1,
"inserted_at": "2026-05-12T10:00:00Z",
"source_id": 1,
"start_date": "2026-05-12T10:00:00Z",
"status": "COMPLETED",
"type": "profile"
}
]
}Starts a background job to reindex all jobs in the search index
Responses
202
Accepted
No content
401
Unauthorized
application/json
403
Forbidden
application/json
500
Internal Server Error
application/json
get/api/jobs/search/reindex_all
GET /api/jobs/search/reindex_all HTTP/1.1
Accept: */*
No content
Fetches a job by external ID.
Path parameters
external_idstringRequired
Job external ID
Responses
200
Job
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
404
Not found
application/json
500
Internal Server Error
application/json
get/api/jobs/{external_id}
GET /api/jobs/{external_id} HTTP/1.1
Accept: */*
{
"data": {
"_embedded": {
"source": {
"active": true,
"external_id": "src-crm",
"id": 1,
"type": "salesforce"
}
},
"external_id": "job-001",
"id": 1,
"inserted_at": "2026-05-12T10:00:00Z",
"source": {
"external_id": "src-crm",
"type": "salesforce"
},
"source_id": 1,
"start_date": "2026-05-12T10:00:00Z",
"status": "COMPLETED",
"type": "profile"
}
}Returns jobs for a source.
Path parameters
source_external_idstringRequired
Source external ID
Responses
200
Jobs
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
500
Internal Server Error
application/json
get/api/sources/{source_external_id}/jobs
GET /api/sources/{source_external_id}/jobs HTTP/1.1
Accept: */*
{
"data": [
{
"external_id": "job-001",
"id": 1,
"inserted_at": "2026-05-12T10:00:00Z",
"source_id": 1,
"start_date": "2026-05-12T10:00:00Z",
"status": "COMPLETED",
"type": "profile"
}
]
}Creates a job for a source.
Path parameters
source_external_idstringRequired
Source external ID
Body
Responses
201
Created
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
404
Not found
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
post/api/sources/{source_external_id}/jobs
POST /api/sources/{source_external_id}/jobs HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 53
{
"job": {
"parameters": {
"full": true
},
"type": "profile"
}
}{
"data": {
"_embedded": {
"source": {
"active": true,
"external_id": "src-crm",
"id": 1,
"type": "salesforce"
}
},
"external_id": "job-001",
"id": 1,
"inserted_at": "2026-05-12T10:00:00Z",
"source": {
"external_id": "src-crm",
"type": "salesforce"
},
"source_id": 1,
"start_date": "2026-05-12T10:00:00Z",
"status": "COMPLETED",
"type": "profile"
}
}Last updated